%global momorel 4
%global md5sum_src0 56dd99412ae3df14a0daf293a9cd398c

Summary: API document browser
Name: devhelp
Version: 0.14
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://ftp.gnome.org/pub/gnome/sources/devhelp/
%NoSource 0 http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel >= 2.10.9
BuildRequires: GConf2-devel >= 2.14.0
BuildRequires: glib2-devel >= 2.12.9
BuildRequires: libglade2-devel >= 2.6.0
BuildRequires: libwnck-devel >= 2.16.3
BuildRequires: desktop-file-utils >= 0.12
BuildRequires: firefox-devel >= 2.0.0.6
Requires: firefox >= 2.0.0.6

%description
A API document browser for GNOME 2.

%package devel
Summary: Library to embed Devhelp in other applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Library of Devhelp for embedding into other applications.

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

desktop-file-install --vendor gnome \
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category=Application \
  %{buildroot}%{_datadir}/applications/devhelp.desktop

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="devhelp.schemas"
for S in $SCHEMAS; do
 gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done
gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%{_bindir}/devhelp
%{_libdir}/libdevhelp*.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/devhelp
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%{_libdir}/gedit-2/plugins/%{name}.gedit-plugin
%{_libdir}/gedit-2/plugins/%{name}

%files devel
%defattr(-,root,root)
%{_prefix}/include/devhelp-1.0
%{_libdir}/libdevhelp*.so
#%{_libdir}/libdevhelp*.a
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.14-4m)
- add Requires for firefox

* Mon Aug  6 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.14-3m)
- rebuild against firefox-2.0.0.6

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.14-2m)
- rebuild against firefox
- hard coding firefox version in libdevhelp-1.0.pc

* Fri May 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14-1m)
- update to 0.14

* Sun Feb  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13-1m)
- update to 0.13

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.11-4m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-3m)
- remove category X-Red-Hat-Base Application

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-2m)
- delete libtool library

* Mon Feb 20 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11-1m)
- update to 0.11

* Sun Nov 27 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10-2m)
- invoke intltool with --force option

* Tue May 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.10-1m)
- initial import to Momonga

* Mon Oct 11 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-2
- Rebuild to add ppc once again.

* Wed Sep 29 2004 Christopher Aillon <caillon@redhat.com> 0.9.2-1
- Update to 0.9.2
- Remove accel patch; its upstreamed now.

* Sun Sep 26 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-6
- Rebuild without explicit mozilla release

* Fri Sep 24 2004 Christopher Blizzard <blizzard@redhat.com> 0.9.1-5
- Rebuild with explicit Mozilla version requires

* Wed Sep 22 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-4
- Rebuilt to pick up new mozilla changes
- Drop ppc from the build since mozilla doesn't build there anymore.

* Wed Aug 25 2004 Christopher Aillon <caillon@redhat.com> 0.9.1-3
- Add Johan Svedberg's patch to add accelerators for back and forward 

* Mon Aug 09 2004 Christopher Aillon <caillon@redhat.com>
- Rebuild

* Wed Aug 04 2004 Christopher Aillon <caillon@redhat.com>
- Update to 0.9.1
- Remove ld-library patch. It is upstream now.

* Wed Jun 23 2004 Christopher Aillon <caillon@redhat.com>
- Update ExclusiveArch

* Tue Jun 22 2004 Christopher Aillon <caillon@redhat.com>
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Colin Walters <walters@redhat.com> 0.9-3
- Update patch to avoid (unlikely) security issue noticed
  by Jeremy Katz.

* Mon Apr 15 2004 Colin Walters <walters@redhat.com> 0.9-2
- Apply patch from George Karabin <gkarabin@pobox.com> to
  export LD_LIBRARY_PATH (closes bug 120220).

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 0.9-1
- Update to 0.9
- Install the schemas correctly
- Package /usr/bin/devhelp-bin
- Update requires/buildrequires
- Only build on platforms where mozilla is available

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 26 2004 Alexander Larsson <alexl@redhat.com> 0.8.1-1
- update to 0.8.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec  1 2003 Jonathan Blandford <jrb@redhat.com> 0.7.0-1
- new version
- Remove .la and .a files.

* Wed Jul 30 2003 Jonathan Blandford <jrb@redhat.com>
- remove original devhelp desktop file.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add find_lang
